Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tiles.el
Class ELAttributeEvaluator

    java.lang.Object
      org.apache.tiles.evaluator.AbstractAttributeEvaluator
          org.apache.tiles.el.ELAttributeEvaluator

All Implemented Interfaces:
  TilesApplicationContextAware, AttributeEvaluator

Direct Known Subclasses:
  ELAttributeEvaluator

    public class ELAttributeEvaluator

extends AbstractAttributeEvaluator
implements TilesApplicationContextAware

Evaluates string expression with typical EL syntax.
You can use normal EL syntax, knowing that the root objects are `TilesRequestContext`, `TilesApplicationContext` and beans contained in request, session and application scope.

Since:
  2.2.1
Version:
  $Rev: 817357 $ $Date: 2009-09-21 20:16:20 +0200 (lun, 21 set 2009) $

Field Summary
`protected TilesApplicationContext` | `applicationContext` The Tiles application context.
`static java.lang.String` | `EXPRESSION_FACTORY_FACTORY_INIT_PARAM` Initialization parameter to decide the implementation of `ExpressionFactoryFactory`.
`protected javax.el.ExpressionFactory` | `expressionFactory` The EL expression factory.
`protected javax.el.ELResolver` | `resolver` The EL resolver to use.

Constructor Summary
`ELAttributeEvaluator()` Constructor.

Method Summary
`java.lang.Object` | `evaluate(java.lang.String expression, TilesRequestContext request)` Evaluates an expression.
`void` | `init(java.util.Map<java.lang.String,java.lang.String> initParameters)` Initializes the attribute evaluator.
`void` | `setApplicationContext(TilesApplicationContext applicationContext)` Sets the Tiles application context.
`void` | `setExpressionFactory(javax.el.ExpressionFactory expressionFactory)` Sets the expression factory to use.
`void` | `setResolver(javax.el.ELResolver resolver)` Sets the EL resolver to use.

Methods inherited from class org.apache.tiles.evaluator.AbstractAttributeEvaluator
`evaluate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EXPRESSION_FACTORY_FACTORY_INIT_PARAM

    public static final java.lang.String EXPRESSION_FACTORY_FACTORY_INIT_PARAM

  Initialization parameter to decide the implementation of `ExpressionFactoryFactory`.

  Since:
    2.2.1
  See Also:
    Constant Field Values

### applicationContext

    protected TilesApplicationContext applicationContext

  The Tiles application context.

  Since:
    2.2.1

### expressionFactory

    protected javax.el.ExpressionFactory expressionFactory

  The EL expression factory.

  Since:
    2.2.1

### resolver

    protected javax.el.ELResolver resolver

  The EL resolver to use.

  Since:
    2.2.1

Constructor Detail

### ELAttributeEvaluator

    public ELAttributeEvaluator()

  Constructor.

  Since:
    2.2.1

Method Detail

### init

    public void init(java.util.Map<java.lang.String,java.lang.String> initParameters)

  Initializes the attribute evaluator.

  Specified by:
    `init` in interface `AttributeEvaluator`
  Parameters:
    `initParameters` - The initialization parameters.

### setApplicationContext

    public void setApplicationContext(TilesApplicationContext applicationContext)

  Sets the Tiles application context.

  Specified by:
    `setApplicationContext` in interface `TilesApplicationContextAware`
  Parameters:
    `applicationContext` - The Tiles application context.

### setExpressionFactory

    public void setExpressionFactory(javax.el.ExpressionFactory expressionFactory)

  Sets the expression factory to use.

  Parameters:
    `expressionFactory` - The expression factory.
  Since:
    2.2.1

### setResolver

    public void setResolver(javax.el.ELResolver resolver)

  Sets the EL resolver to use.

  Parameters:
    `resolver` - The EL resolver.
  Since:
    2.2.1

### evaluate

    public java.lang.Object evaluate(java.lang.String expression,
                                     TilesRequestContext request)

  Evaluates an expression.

  Specified by:
    `evaluate` in interface `AttributeEvaluator`
  Parameters:
    `expression` - The expression to evaluate.
    `request` - The request object.
  Returns:
    The evaluated object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Software Foundation. All Rights Reserved.